
TYPO3.Fluid - Bug # 11122

Status: Closed Priority: Should have
Author: Tomas Majer Category: Core
Created: 2010-11-29 Assigned To: Karsten Dambekalns
Updated: 2012-03-07 Due date:
Has patch: No
Affected Flow version: FLOW3 1.0.0
Subject: Doc comments for render method not work with tabs
Description

There are problem with tabs in doc comments in render method. Fluid crash with exception:

#1242292003: could not determine type of argument "text" of the render-method in ViewHelper
"Tx_My_ViewHelpers_MyViewHelper". Either the methods docComment is invalid or some PHP optimizer strips off comments.

Example:
/**
 * @param    string    $text
 * @return    string
 * @api
 */
public function render($text) {}

History
#1 - 2011-05-06 10:36 - Sebastian Kurfuerst
- Category set to Core
- Assigned To set to Sebastian Kurfuerst
- Priority changed from Should have to Must have
- Target version set to 1.0 beta 1

I am not sure if FLOW3 is capable of this, we need to discuss that.

#2 - 2011-05-06 11:14 - Sebastian Kurfuerst
- Parent task set to #26665
- Has patch set to No

#3 - 2011-05-06 11:18 - Sebastian Kurfuerst
- Tracker changed from Task to Bug
- Parent task deleted (#26665)

#4 - 2011-08-04 08:22 - Sebastian Kurfuerst
- Priority changed from Must have to Should have
- Target version changed from 1.0 beta 1 to 1230

#5 - 2011-10-20 01:42 - Karsten Dambekalns
- Target version deleted (1230)
#6 - 2011-10-21 13:37 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#7 - 2012-03-07 21:57 - Karsten Dambekalns
- Status changed from New to Closed
- Assigned To changed from Sebastian Kurfuerst to Karsten Dambekalns

I think this has been solved in the meantime with changes to the ReflectionService.
